PtokaX forum

Development Section => LUA & PtokaX-Scripting-Interface => Topic started by: Herodes on 09 March, 2006, 23:42:54

Title: any Lua 5.1 on PtokaX?
Post by: Herodes on 09 March, 2006, 23:42:54
Will there be a version of PtokaX that endorses the latest Lua version?

I'd so much like to use some of the newest features of the lang..

The Lua Programming Language (http://www.lua.org/)
Title: Re: any Lua 5.1 on PtokaX?
Post by: Troubadour on 10 March, 2006, 11:07:15
Will there be a version of PtokaX that endorses the latest Lua version?

I'd so much like to use some of the newest features of the lang..

The Lua Programming Language (http://www.lua.org/)

Lua5 was available in 2003 and is last year added to ptokax.
The question is, when does ppk feel the time is right to add 5.1
Title: Re: any Lua 5.1 on PtokaX?
Post by: plop on 15 March, 2006, 21:22:30
maby useless to tell you 2 but maby some others don't know yet that the latest beta has lua 5.1.

plop
Title: Re: any Lua 5.1 on PtokaX?
Post by: Herodes on 23 March, 2006, 20:38:11
Hmm.. just saw this on the lua mailing list...

Quote
The (real) Programming in Lua, Second Edition is finally available:

  http://www.inf.puc-rio.br/~roberto/pil2/

-- Roberto
Title: Re: any Lua 5.1 on PtokaX?
Post by: bastya_elvtars on 23 March, 2006, 20:57:43
No io.popen in PtokaX. :(
I need it badly.